%define anolis_release 2
%global srcname kiwisolver
%bcond_with check

Name:           python-%{srcname}
Version:        1.4.4
Release:        %{anolis_release}%{?dist}
Summary:        A fast implementation of the Cassowary constraint solver

License:        BSD-3-Clause AND HPND-sell-variant
URL:            https://github.com/nucleic/kiwi
Source0:        %{pypi_source %{srcname}}

%global _description %{expand:
Kiwi is an efficient C++ implementation of the Cassowary constraint solving
algorithm. Kiwi is an implementation of the algorithm based on the seminal
Cassowary paper. It is *not* a refactoring of the original C++ solver. Kiwi has
been designed from the ground up to be lightweight and fast.}

BuildRequires:  gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}
Provides:       bundled(loki-lib)

%description -n python3-%{srcname} %{_description}

%package -n     python3-%{srcname}-doc
Summary:        %{summary}
Requires:	python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with check}
%check
%{pytest} py/tests/
%endif

%files -n python3-%{srcname} -f %{pyproject_files}

%files -n python3-%{srcname}-doc
%doc README.rst

%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.4.4-2
- Rebuild with python3.11

* Tue Mar 28 2023 happy_orange <songnannan@linux.alibaba.com> - 1.4.4-1
- init package from upstream
